# For v0.x.y dependencies, prefer adding a constraints of the form: version=">= 0.x.y"
# to avoid locking to a particular minor version which can cause dep to not be
# able to find a satisfying dependency graph.

[[constraint]]
  branch = "master"
  name = "git.apache.org/thrift.git"
  source = "github.com/apache/thrift"

[[constraint]]
  name = "github.com/golang/protobuf"
  version = "1.0.0"

[[constraint]]
  name = "github.com/openzipkin/zipkin-go"
  version = ">=0.1.0"

[[constraint]]
  name = "github.com/prometheus/client_golang"
  version = ">=0.8.0"

[[constraint]]
  branch = "master"
  name = "golang.org/x/net"

[[constraint]]
  branch = "master"
  name = "google.golang.org/api"

[[constraint]]
  name = "google.golang.org/grpc"
  version = "1.11.3"

[prune]
  go-tests = true
  unused-packages = true
